petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStageLogPop

This function pops a stage from the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogPop(PetscStageLog stageLog)

Not Collective

### Input Parameter

stageLog -The PetscStageLog

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          PetscStageLogPush(stageLog,1);
          [stage 1 of code]
          PetscStageLogPop(stageLog);
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use PetscStageLogRegister() to register a stage.

### Keywords

log, pop, stage

### See Also

PetscStageLogPush(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages